<div class="row ">
	<div class="col-2 py-5">&nbsp;</div>
  	<div class="col-8 py-5 my-5 mx-auto">
		<form name="logIn" (ngSubmit)="onSubmitForm(myForm)" #myForm="ngForm" autocomplete='off'>
            <div class="form-group">
                <label for="exampleInputEmail1">Display Name</label>
                <input name = "name" ngModel  required type="text" class="form-control is-valid"  placeholder="Enter display Name" #nameErr="ngModel" pattern="^[a-z0-9A-Z_-]{6,15}$" >
                <div class="valid-feedback" *ngIf="nameErr.errors && (nameErr.dirty || nameErr.touched)">
                    <div [hidden]="!nameErr.errors.required">
                        Username is required !
                    </div>
                    <div [hidden]="!nameErr.errors?.pattern">
                        Please enter an valid UserName !
                    </div>
                </div>
            </div>
			<div class="form-group">
				<label for="exampleInputEmail1">Email address</label>
				<input name = "email" ngModel  required type="email" class="form-control is-valid" placeholder="Enter email" #emailErr="ngModel" pattern="^([a-zA-Z0-9_\-\.]{3,10})@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$" (blur)="emailVerifyDuplicate(emailErr.value)">
                <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
                <div class="valid-feedback" *ngIf="emailErr.errors && (emailErr.dirty || emailErr.touched)">
                    <div [hidden]="!emailErr.errors.required">
                        Email is required!
                    </div>
                    <div [hidden]="!emailErr.errors?.pattern">
                        Please enter an valid email address!
                    </div>
                </div>
                <div class="valid-feedback" *ngIf="emailDup == true">
                    Email already exist!
                </div>
			</div>
			<div class="form-group">
				<label for="exampleInputPassword1">Password</label>
				<input name = "password" ngModel required type="password" class="form-control is-valid" placeholder="Password" #passErr = "ngModel" pattern="^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?!.*\s).{6,}$">
				<div class="valid-feedback" *ngIf="passErr.errors && (passErr.dirty || passErr.touched)">
                    <div [hidden]="!passErr.errors.required">
                        Password is required !
                    </div>
                    <div [hidden]="!passErr.errors?.pattern">
                        Please enter an valid Password !
                    </div>
                </div>
			</div>
			<button type="submit" [disabled]="myForm.invalid" class="btn btn-primary ">Submit</button>
		</form>
	</div>
	<div class="col-2">&nbsp;</div>
</div>

